import { Component, Inject, ViewEncapsulation } from '@angular/core';
import { HttpClient } from '@angular/common/http';

declare var Stimulsoft: any;

@Component({
  selector: 'app-fetch-data',
  templateUrl: './fetch-data.component.html',
  encapsulation: ViewEncapsulation.None
})
export class FetchDataComponent {


  options: any = new Stimulsoft.Viewer.StiViewerOptions();
  viewer: any = new Stimulsoft.Viewer.StiViewer(this.options, 'StiViewer', false);

  report = new Stimulsoft.Report.StiReport();

  constructor(http: HttpClient, @Inject('BASE_URL') baseUrl: string) {
  }

  ngOnInit() {
    this.report.loadFile('./reports/repo.mrt');
    Stimulsoft.Base.Localization.StiLocalization.setLocalizationFile('localization/ro.xml', true);


    this.viewer.report = this.report;
    this.viewer.renderHtml('viewerContent');

  }


}

